=== debian/changelog ===
afsadm (1.1-4) unstable; urgency=medium

  * Non-maintainer upload.
  * recompile for bookworm
  * change checksum from CRC32 to SHA1

 -- Michal Svamberg <svamberg@civ.zcu.cz>  Tue, 12 Dec 2023 16:02:08 +0100

afsadm (1.1-3) unstable; urgency=medium

  * Non-maintainer upload.
  * recompile for bookworm

 -- Michal Svamberg <svamberg@civ.zcu.cz>  Wed, 18 Oct 2023 01:26:24 +0200

afsadm (1.1-2) unstable; urgency=medium

  * Non-maintainer upload.
  * recompile for buster

 -- Michal Svamberg <svamberg@civ.zcu.cz>  Thu, 22 Aug 2019 00:16:10 +0200

afsadm (1.1-1) unstable; urgency=medium

  * zavislosti opraveny na krb5-user|heimdal-clients

 -- Jan Krcmar <honza801@civ.zcu.cz>  Mon, 14 Dec 2015 14:09:18 +0100

afsadm (1.1-0) unstable; urgency=low

  * fix deprecated functions by Majlen

 -- Michal Svamberg <svamberg@civ.zcu.cz>  Fri, 30 Oct 2015 14:26:25 +0200

afsadm (1.0-3) unstable; urgency=low

  * upload server part and merge with afsadm-client
  * rozdeleni baliku na afsadm-server a afsadm-client

 -- Michal Švamberg <svamberg@civ.zcu.cz>  Sat, 14 Feb 2015 14:26:25 +0200

afsadm-client (1.0-2) unstable; urgency=low

  * Non-maintainer upload.
  * Repair dependences, manualsite

 -- Michal Švamberg <svamberg@civ.zcu.cz>  Mon, 29 Jul 2013 14:26:25 +0200

afsadm-client (1.0-1) unstable; urgency=low

  * Initial release (Closes: #1001)  

 -- Jiří Loudil <loudilj@students.zcu.cz>  Sun, 11 Nov 2012 12:22:14 +0100
